## AgsTempo

AgsTempo — A tempo widget

## Stability Level

Stable, unless otherwise indicated

## Functions

void | ags_tempo_set_control_name ()
gchar * | ags_tempo_get_control_name ()
void | ags_tempo_set_upper ()
gdouble | ags_tempo_get_upper ()
void | ags_tempo_set_lower ()
gdouble | ags_tempo_get_lower ()
void | ags_tempo_set_default_value ()
gdouble | ags_tempo_get_default_value ()
void | ags_tempo_value_changed ()
AgsTempo * | ags_tempo_new ()

## Properties

char * | control-name | Read / Write
double | default-value | Read / Write
double | lower | Read / Write
double | upper | Read / Write

## Signals

void | value-changed | Run Last

## Types and Values

#define | AGS_TEMPO_DEFAULT_WIDTH_REQUEST
#define | AGS_TEMPO_DEFAULT_HEIGHT_REQUEST
#define | AGS_TEMPO_DEFAULT_CONTROL_NAME
#define | AGS_TEMPO_DEFAULT_LOWER
#define | AGS_TEMPO_DEFAULT_UPPER
#define | AGS_TEMPO_DEFAULT_VALUE
#define | AGS_TEMPO_DEFAULT_STEP_COUNT
#define | AGS_TEMPO_DEFAULT_PAGE_SIZE
enum | AgsTempoButtonState
enum | AgsTempoKeyMask
enum | AgsTempoLayout
enum | AgsTempoAction

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── AgsTempo

## Includes

    #include <ags/widget/ags_tempo.h>

## Description

AgsTempo is a widget that shows you a meter.

## Functions

### ags_tempo_set_control_name ()

    void
    ags_tempo_set_control_name (AgsTempo *tempo,
                                gchar *control_name);

Set `control_name` of `tempo` .

#### Parameters

tempo | the AgsTempo |
control_name | the tempo height |

Since: 3.2.2

### ags_tempo_get_control_name ()

    gchar *
    ags_tempo_get_control_name (AgsTempo *tempo);

Get tempo height of `tempo` .

#### Parameters

tempo | the AgsTempo |

#### Returns

the tempo height

Since: 3.2.2

### ags_tempo_set_upper ()

    void
    ags_tempo_set_upper (AgsTempo *tempo,
                         gdouble upper);

Set `upper` of `tempo` .

#### Parameters

tempo | the AgsTempo |
upper | the upper |

Since: 3.2.2

### ags_tempo_get_upper ()

    gdouble
    ags_tempo_get_upper (AgsTempo *tempo);

Get upper of `tempo` .

#### Parameters

tempo | the AgsTempo |

#### Returns

the upper

Since: 3.2.2

### ags_tempo_set_lower ()

    void
    ags_tempo_set_lower (AgsTempo *tempo,
                         gdouble lower);

Set `lower` of `tempo` .

#### Parameters

tempo | the AgsTempo |
lower | the lower |

Since: 3.2.2

### ags_tempo_get_lower ()

    gdouble
    ags_tempo_get_lower (AgsTempo *tempo);

Get lower of `tempo` .

#### Parameters

tempo | the AgsTempo |

#### Returns

the lower

Since: 3.2.2

### ags_tempo_set_default_value ()

    void
    ags_tempo_set_default_value (AgsTempo *tempo,
                                 gdouble default_value);

Set `default_value` of `tempo` .

#### Parameters

tempo | the AgsTempo |
default_value | the normalized volume |

Since: 3.2.2

### ags_tempo_get_default_value ()

    gdouble
    ags_tempo_get_default_value (AgsTempo *tempo);

Get normalized volume of `tempo` .

#### Parameters

tempo | the AgsTempo |

#### Returns

the normalized volume

Since: 3.2.2

### ags_tempo_value_changed ()

    void
    ags_tempo_value_changed (AgsTempo *tempo,
                             gdouble default_value);

Emits ::value-changed event.

#### Parameters

tempo | the AgsTempo |
default_value | the default value |

Since: 5.1.0

### ags_tempo_new ()

    AgsTempo *
    ags_tempo_new (GtkOrientation orientation,
                   guint width_request,
                   guint height_request);

Create a new instance of AgsTempo.

#### Parameters

orientation | the GtkOrientation |
width_request | the tempo's width |
height_request | the tempo's height |

#### Returns

the new AgsTempo instance

Since: 5.1.0

## Types and Values

### AGS_TEMPO_DEFAULT_WIDTH_REQUEST

    #define AGS_TEMPO_DEFAULT_WIDTH_REQUEST (60)

### AGS_TEMPO_DEFAULT_HEIGHT_REQUEST

    #define AGS_TEMPO_DEFAULT_HEIGHT_REQUEST (128)

### AGS_TEMPO_DEFAULT_CONTROL_NAME

    #define AGS_TEMPO_DEFAULT_CONTROL_NAME "tempo [BPM]"

### AGS_TEMPO_DEFAULT_LOWER

    #define AGS_TEMPO_DEFAULT_LOWER (0.0)

### AGS_TEMPO_DEFAULT_UPPER

    #define AGS_TEMPO_DEFAULT_UPPER (240.0)

### AGS_TEMPO_DEFAULT_VALUE

    #define AGS_TEMPO_DEFAULT_VALUE (120.0)

### AGS_TEMPO_DEFAULT_STEP_COUNT

    #define AGS_TEMPO_DEFAULT_STEP_COUNT (240.0)

### AGS_TEMPO_DEFAULT_PAGE_SIZE

    #define AGS_TEMPO_DEFAULT_PAGE_SIZE (8.0)

### enum AgsTempoButtonState

#### Members

AGS_TEMPO_BUTTON_1_PRESSED |  |

### enum AgsTempoKeyMask

#### Members

AGS_TEMPO_KEY_L_CONTROL |  |
AGS_TEMPO_KEY_R_CONTROL |  |
AGS_TEMPO_KEY_L_SHIFT |  |
AGS_TEMPO_KEY_R_SHIFT |  |

### enum AgsTempoLayout

#### Members

AGS_TEMPO_LAYOUT_VERTICAL |  |
AGS_TEMPO_LAYOUT_HORIZONTAL |  |

### enum AgsTempoAction

#### Members

AGS_TEMPO_STEP_UP |  |
AGS_TEMPO_STEP_DOWN |  |
AGS_TEMPO_PAGE_UP |  |
AGS_TEMPO_PAGE_DOWN |  |

## Property Details

### The `“control-name”` property

      “control-name”             char *

The tempo's control name.

Owner: AgsTempo

Flags: Read / Write

Default value: NULL

Since: 5.1.0

### The `“default-value”` property

      “default-value”            double

The tempo's default value.

Owner: AgsTempo

Flags: Read / Write

Default value: 120

Since: 5.1.0

### The `“lower”` property

      “lower”                    double

The tempo's lower range.

Owner: AgsTempo

Flags: Read / Write

Default value: 0

Since: 5.1.0

### The `“upper”` property

      “upper”                    double

The tempo's upper range.

Owner: AgsTempo

Flags: Read / Write

Default value: 240

Since: 5.1.0

## Signal Details

### The `“value-changed”` signal

    void
    user_function (AgsTempo *tempo,
                   double    default_value,
                   gpointer  user_data)

The ::value-changed signal notifies about modified default value.

#### Parameters

tempo | the AgsTempo |
default_value | the changed default value |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 5.1.0